QT       += core gui network

greaterThan(QT_MAJOR_VERSION, 4): QT += widgets

CONFIG += c++11

# You can make your code fail to compile if it uses deprecated APIs.
# In order to do so, uncomment the following line.
#DEFINES += QT_DISABLE_DEPRECATED_BEFORE=0x060000    # disables all the APIs deprecated before Qt 6.0.0

SOURCES += \
    MyTcpClient.cpp \
    acceleration.cpp \
    cardbase.cpp \
    common.cpp \
    config_mgr.cpp \
    connect.cpp \
    keyphase.cpp \
    keyphase_data.cpp \
    main.cpp \
    mainwindow.cpp \
    radial_vibration.cpp \
    rangeslider.cpp \
    relaysetting.cpp \
    seismic_monitor.cpp \
    setpoint.cpp \
    singlerelay.cpp \
    tachometer.cpp \
    tachometer_data.cpp \
    velocity.cpp \
    vibrationdata.cpp

HEADERS += \
    MyTcpClient.h \
    acceleration.h \
    acceleration_ds.h \
    cardbase.h \
    common.h \
    config_mgr.h \
    connect.h \
    data_config.h \
    displacement_ds.h \
    keyphase.h \
    keyphase_data.h \
    mainwindow.h \
    radial_vibration.h \
    rangeslider.h \
    relaysetting.h \
    seismic_monitor.h \
    setpoint.h \
    singlerelay.h \
    tachometer.h \
    tachometer_data.h \
    velocity.h \
    velocity_ds.h \
    vibrationdata.h

FORMS += \
    acceleration.ui \
    connect.ui \
    keyphase.ui \
    mainwindow.ui \
    radial_vibration.ui \
    relaysetting.ui \
    seismic_monitor.ui \
    setpoint.ui \
    singlerelay.ui \
    tachometer.ui \
    tmrrelayassociation.ui \
    velocity.ui

# Default rules for deployment.
qnx: target.path = /tmp/$${TARGET}/bin
else: unix:!android: target.path = /opt/$${TARGET}/bin
!isEmpty(target.path): INSTALLS += target

DISTFILES += \
    TSI_Config.pro.user

RESOURCES += \
    qss.qrc
