#ifndef DISPLACEMENT_DS_H
#define DISPLACEMENT_DS_H
// 位移峰峰值的量程范围
typedef enum {
    kDisPP100 = 0, // 0-100 um
    kDisPP150 = 1, // 0-150 um
    kDisPP200 = 2, // 0-200 um
    kDisPP400 = 3, // 0-400 um
    kDisPP500 = 4, // 0-500 um
    kDisPPCustom = 5 // custom
} DisPPFullScaleRange;

// recorder out
typedef enum {
    kDisRecorderOutNone = 0,
    kDisRecorderOutDirectAmpl = 1,
    kDisRecorderOutGap = 2,
    kDisRecorderOut1XAmpl = 3,
    kDisRecorderOut1XPhaseLagWithHysteresis = 4,
    kDisRecorderOut1XPhaseLagWithoutHysteresis = 5,
    kDisRecorderOut2XAmpl = 6,
    kDisRecorderOut2XPhaseLagWithHysteresis = 7,
    kDisRecorderOut2XPhaseLagWithoutHysteresis = 8,
    kDisRecorderOutNot1XAmpl = 9,
    kDisRecorderOutSmaxAmpl = 10
} DisRecorderOut;

#endif // DISPLACEMENT_DS_H
