#ifndef RELAYSETTING_H
#define RELAYSETTING_H

#include <QWidget>
#include "data_config.h"

namespace Ui {
class RelaySetting;
}

class RelaySetting : public QWidget
{
    Q_OBJECT

public:
    explicit RelaySetting(QWidget *parent = nullptr);
    ~RelaySetting();

private slots:
    void onRadioButtonClicked(QAbstractButton *button);

    void on_pushButton_status_clicked();

private:
    Ui::RelaySetting *ui;
    QMap<int,SlotConfig> map_slot_config;

    void readJsonFile(const QString &filePath);
};

#endif // RELAYSETTING_H
